@echo off
if "%1" == "" goto help
if "%1" == "qg3" goto qg3
if "%1" == "kq6" goto kq6
if "%1" == "inca" goto inca
if "%1" == "hoyle" goto hoyle

:help
echo.
echo Syntax:
echo DEMO [game] [configuration]
echo.
echo Where [game] is:
echo QG3       = Quest for Glory III
echo KQ6       = King's Quest VI
echo INCA      = Inca
echo HOYLE     = Hoyle's Book of Games IV
echo.
echo And [configuration] is:
echo SB = SoundBlaster sound card
echo STD = Standard PC speaker and SoundBlaster DAC
echo MT = Roland MT-32 or LAPC
echo GEN = General MIDI and SoundBlaster DAC
echo THN = ThunderBoard sound card
echo PRO = ProAudio sound card
echo PS1 = IBM PS1 3-Voice and DAC
echo TDY = Tandy 3-Voice and DAC
echo DIS = Standard PC Speaker and Disney DAC
echo.
goto end

:qg3
cd qg3demo
if "%2" == "thn" goto nosup
if "%2" == "dis" goto nosup
sierra resource.%2
cd..
goto end

:kq6
cd kq6demo
if "%2" == "tdy" goto nosup
if "%2" == "thn" goto nosup
sierra resource.%2
cd..
goto end

:inca
cd incademo
demo
cd..
goto end

:hoyle
cd hoyle4
if "%2" == "tdy" goto nosup
if "%2" == "pro" goto nosup
call hoyle
cd..
goto end

:nosup
echo That demo does not support that configuration, please try a different
echo configuration.  If all else fails, try the STD parameter.
cd..
goto end

:end
